=== modified file 'hooks/lib/openstack_common.py'
--- hooks/lib/openstack_common.py	2013-02-22 19:20:54 +0000
+++ hooks/lib/openstack_common.py	2013-02-22 21:05:32 +0000
@@ -244,7 +244,7 @@
     with open(HAPROXY_DEFAULT, 'w') as f:
         f.write('ENABLED=1')
 
-def save_script_rc(script_path="scriptrc", **env_vars):
+def save_script_rc(script_path="scripts/scriptrc", **env_vars):
     """
     Write an rc file in the charm-delivered directory containing
     exported environment variables provided by env_vars. Any charm scripts run

=== added directory 'scripts'
=== renamed file 'add_to_cluster' => 'scripts/add_to_cluster'
=== renamed directory 'health_checks.d' => 'scripts/health_checks.d'
=== modified file 'scripts/health_checks.d/service_ports_live'
--- health_checks.d/service_ports_live	2013-02-22 19:20:54 +0000
+++ scripts/health_checks.d/service_ports_live	2013-02-22 21:05:32 +0000
@@ -1,8 +1,8 @@
 #!/bin/bash
 # Validate that service ports are active
 HEALTH_DIR=`dirname $0`
-UNIT_DIR=`dirname $HEALTH_DIR`
-. $UNIT_DIR/scriptrc
+SCRIPTS_DIR=`dirname $HEALTH_DIR`
+. $SCRIPTS_DIR/scriptrc
 set -e
 
 # Grab any OPENSTACK_PORT* environment variables

=== modified file 'scripts/health_checks.d/service_running'
--- health_checks.d/service_running	2013-02-22 19:20:54 +0000
+++ scripts/health_checks.d/service_running	2013-02-22 21:05:32 +0000
@@ -1,13 +1,13 @@
 #!/bin/bash
 # Validate that service is running
 HEALTH_DIR=`dirname $0`
-UNIT_DIR=`dirname $HEALTH_DIR`
-. $UNIT_DIR/scriptrc
+SCRIPTS_DIR=`dirname $HEALTH_DIR`
+. $SCRIPTS_DIR/scriptrc
 set -e
 
 # Grab any OPENSTACK_SERVICE* environment variables
 openstack_service_names=`env| awk -F '=' '(/OPENSTACK_SERVICE/){print $2}'`
 for service_name in $openstack_service_names
 do
-    service $service_name status | grep -q running
+    service $service_name status 2>/dev/null | grep -q running
 done

=== renamed file 'remove_from_cluster' => 'scripts/remove_from_cluster'
